DPKG-QUERY(8)

NAMN
dpkg-query - ett verktyg för att fråga dpkg-databasen

SYNOPS
dpkg-query

BESKRIVNING
dpkg-query är ett verktyg för att visa information om paket i dpkg-databasen.

KOMMANDON

-l | --list paketnamnsmönster ...
    Lista paket som matchar det givna mönstret. Om inget paketnamnsmönster anges listas alla paket i /var/lib/dpkg/status. Skalets normala jokertecken tillåts i paketnamnsmönster. Observera att du sannolikt måste skriva paketnamnsmönster inom citationstecken för att förhindra att skalet expanderar filnamnet. Till exempel kommer följande lista alla paket vars namn börjar på "libc5":

      dpkg-query -l 'libc5*'

-W | --show paketnamnsmönster ...
    Precis som flaggan --list kommer detta att visa alla paket som matchar det givna mönstret. Utdatat kan dock skräddarsys med flaggan --showformat.

-s | --status paketnamn ...
    Rapportera status om det angivna paketet. Detta alternativ visar helt enkelt posten i statusdatabasen för installerade paket.

-L | --listfiles paket ...
    Listar filer som installerats på ditt system från paket. Observera dock att filer som skapats av paketspecifika installationsskript inte listas.

-S | --search filnamnssökmönster ...
    Sök efter filnamnet bland de installerade paketen. Alla skalets vanliga jokertecken kan användas i mönstret. Kommandot kommer inte att visa extrafiler som skapas av paketskript, ej heller kommer det att visa alternativ.

-p |--print-avail paket
    Visar detaljer om paket från /var/lib/dpkg/available.

--licence | --license
    Visar licensvillkor och upphovsrättsinformation.

--version
    Visar versionsinformation.

FLAGGOR

--admindir=kat
    Ändra platsen för dpkg-databasen. Förval är /var/lib/dpkg.

--showformat=format
    Denna flagga används för att ange formatet på det utdata --show skapar. Formatet är en sträng som kommer att ange utdata för varje paket som listas. Formatsträngen kan innehålla de vanliga teckensekvenserna \n (nyrad), \r (vagnretur) eller \\ (rent omvänt snedstreck). Paketinformation kan inkluderas genom att lägga in variabelreferenser till paketfält genom att använda syntaxen ${var[;bredd]}. Fälten som skrivs ut kommer att högerjusteras såvida inte bredden är negativ, i vilket fall vänsterjustering kommer att användas.

MILJÖVARIABLER

COLUMNS
    Denna inställningar påverkar utdata från kommandot --list genom att ändra bredden på dess utdata.

FÖRFATTARE
Upphovsrättsskyddat 2001 Wichert Akkerman <wakkerma@debian.org> (mailto:wakkerma@debian.org)

Detta är fri programvara; se GNU General Public License version 2 eller senare för kopieringsvillkor. Det finns INGEN garanti.

SE ÄVEN
dpkg(8)